Subject: outline not distinguishing between levels well enough

From: [email-masked]
Date: Thu, 27 May 2021 21:37:26 +0200

outline is supposed to highlight the eight different heading levels in a way that
is easy to distinguish between them.  I do not see such a capability at this time.

Settings up different colours is also quite complicated and confusing.  I have originally
discussed this on "[email-masked]", who encouraged me to send a bug report.

I do not get different heading colours for the three heading levels below.
Philip has mentioned the possibility that the wrong face is being applied.

--------- test.el --------

;;; * heading 1
;; comments
;;;; ** subheading 1.1
;; comments
;;;;; *** subsubheading 1.1.1
;; comments

Many Thanks
Paula

> Sent: Friday, May 28, 2021 at 7:22 AM
> From: "Philip Kaludercic" <[email-masked]>
> To: [email-masked]
> Cc: "Help Gnu Emacs" <[email-masked]>
> Subject: "emacs-28.0.50 -q" and "emacs-28.0.50 -Q" with outline-minor-mode-highlight
>
> [email-masked] writes:
>
> >> > For instance, changing the
> >> > faces would also change
> >> > those heading highlighting.  This does not seem to bother the
> >> > maintainers whilst expecting
> >> > other to be ok with it, terning down requests for improvements.
> >>
> >> I looked over it, and it does seem like a bug, as the wrong face is
> >> being applied. My guess is that outline-font-lock-face is returning the
> >> wrong face.
> >>
> >> Did you report this as a proper bug?
> >
> > You seem to understand what's wrong.
>
> Sure, just Cc me in the bug report.
>
> --
> 	Philip K.
>